package com.hzs.system.login.service;

import com.hzs.system.sys.dto.LoginUser;

/**
 * 服务员登录/登出服务
 *
 * @author hzs
 */
public interface IUserLoginService {

    /**
     * 登录
     *
     * @param username
     * @param password
     * @return
     */
    LoginUser login(String username, String password);

    /**
     * 免密登录
     *
     * @param userName 用户名
     * @return
     */
    LoginUser freeLogin(String userName);

    /**
     * 登出
     *
     * @param loginName
     */
    void logout(String loginName);

}
